Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.algorithms.implementations
Class SignatureDSA.SHA256

    java.lang.Object
      org.apache.xml.security.algorithms.SignatureAlgorithmSpi
          org.apache.xml.security.algorithms.implementations.SignatureDSA
              org.apache.xml.security.algorithms.implementations.SignatureDSA.SHA256

Enclosing class:
  SignatureDSA

    public static class SignatureDSA.SHA256

extends SignatureDSA

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xml.security.algorithms.implementations.SignatureDSA
`SignatureDSA.SHA256`

Constructor Summary
`SignatureDSA.SHA256()`

Method Summary
`java.lang.String` | `engineGetURI()` Method engineGetURI

Methods inherited from class org.apache.xml.security.algorithms.implementations.SignatureDSA
`engineGetJCEAlgorithmString, engineGetJCEProviderName, engineInitSign, engineInitSign, engineInitSign, engineInitVerify, engineSetHMACOutputLength, engineSetParameter, engineSign, engineUpdate, engineUpdate, engineUpdate, engineVerify`

Methods inherited from class org.apache.xml.security.algorithms.SignatureAlgorithmSpi
`engineGetContextFromElement, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureDSA.SHA256

    public SignatureDSA.SHA256()
                        throws XMLSignatureException

Throws:
  `XMLSignatureException`

Method Detail

### engineGetURI

    public java.lang.String engineGetURI()

  Description copied from class: `SignatureDSA`
  Method engineGetURI

  Overrides:
    `engineGetURI` in class `SignatureDSA`
  Returns:
    the URI representation of `Transformation algorithm`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD